<?php

namespace Inc\Base;



class AjaxCalls
{



    public function register(){
        add_action( 'wp_ajax_create_deliver_shiping', array($this,'create_deliver_shiping') );
        add_action( 'wp_ajax_nopriv_create_deliver_shiping', array($this,'create_deliver_shiping') );

    }



    
    public static function create_deliver_shiping() {
    
        

        $order = wc_get_order( $_POST['orderid'] );
        $order_data = $order->get_data(); // The Order data

        $full_name = $order_data['shipping']['first_name'] . " " . $order_data['shipping']['last_name'];
        $mobile = $order_data['billing']['phone'];
        $reference = $_POST['orderid'];
        $currect_date = date("Y-m-d");
        $full_address = $order_data['shipping']['address_1'] . ", " . $order_data['shipping']['city'];
        $extra_info = $order_data['shipping']['address_2'];


        $body = array(
            "recipient_name" => $full_name,
            "mobile" => $mobile,
            "reference" => $reference,
            "expected_date" => $currect_date,
            "address" => array(
                "full" => $full_address,
                "extra_info" => $extra_info,
            ),
        );
        
        $body_string = json_encode($body, JSON_UNESCAPED_UNICODE);

        $curl = curl_init();
        
        curl_setopt($curl, CURLOPT_URL, 'https://app.delivers.co.il/api/shipments');
        curl_setopt($curl, CURLOPT_HTTPHEADER, array(
            'x-access-token: ' . get_option('deliver_token'),
            'Content-Type: application/json',
        ));

        curl_setopt($curl, CURLOPT_POST, true );
        curl_setopt($curl, CURLOPT_POSTFIELDS, $body_string);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

        // EXECUTE:
      //  curl_exec($curl);
        $result = curl_exec($curl);
        curl_close($curl);

        $result_for_db =json_decode($result, true);


        if( $result_for_db['status'] == 'ok'){
            global $wpdb;
            $sql = "INSERT INTO wp_deliver (wcOrderId, deliverOrderId)
            VALUES ('$_POST[orderid]', '$result_for_db[id]');";
            $results = $wpdb->get_results($sql);
        }

        echo $result;
        wp_die();

        


    }

    

}