<?php

namespace Inc\Pages;



class AdminWcTable
{


    public function register(){



        add_filter( 'manage_edit-shop_order_columns', array($this, 'add_deliver_column') );
        add_action( 'manage_shop_order_posts_custom_column', array($this,'set_custom_shipping_address_content_replacement') );

    }

    public function add_deliver_column( $columns ) {
        $columns['deliver_order'] = 'הזמנת דליבר';
        return $columns;
    }


    function set_custom_shipping_address_content_replacement( $column ) {
        global $the_order, $post, $wpdb;

        $order = json_decode($the_order);


        if ( 'deliver_order' === $column ) { 

            $sql = "SELECT * FROM wp_deliver WHERE wcOrderId = '$order->id' ";
            $result = $wpdb->get_row($sql);

            $orderId = $order->id;

            echo '<div class="deliver_coulmn">';
            
            if( $result !== null ){ 
                echo '<p><a target="blank" href="https://app.delivers.co.il/#shipments/' . $result->deliverOrderId . '">מזהה משלוח דליבר: ' . $result->deliverOrderId . '</a></p>';
            }else{
                echo '<button class="create_deliver" type="button" data-orderid="' . $orderId . '" id="create_deliver' . $orderId . '">יצירת הזמנת דליבר</button>';
            }

            echo '</div>';

        }
    }
    


}